/*
 * File:   usb_header.h
 * Author: Standarduser
 *
 * Created on 8. Dezember 2013, 15:31
 */

#ifndef USB_HEADER_H
#define	USB_HEADER_H

#ifdef	__cplusplus
extern "C" {
#endif

    /** INCLUDES *******************************************************/
#include "Compiler.h"
#include "mainheader.h"
#include "usb.h"
#include "usb_function_cdc.h"
#include "HardwareProfile - PIC24FJ128GC006.h"
#include "GenericTypeDefs.h"
#include "Compiler.h"
#include "usb_config.h"
#include "usb_device.h"
#include "usb.h"
#include "HardwareProfile.h"

/** P R I V A T E  P R O T O T Y P E S ***************************************/
void InitializeSystem(void);
void ProcessIO(void);

void USBDeviceTasks(void);
void YourHighPriorityISRCode();
void YourLowPriorityISRCode();
void USBCBSendResume(void);
void BlinkUSBStatus(void);
void UserInit(void);

#ifdef	__cplusplus
}
#endif

#endif	/* USB_HEADER_H */

